package com.fjhx.config;

import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.fjhx.base.BaseEntity;

public class CodeGeneration {

    private static final String url = System.getProperty("user.dir") + "\\src\\main\\java\\";

    public static void main(String[] args) {
        FastAutoGenerator.create(
                        "jdbc:mysql://36.134.91.96:17330/service_email?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8",
                        "fjhx2012mysql",
                        "3PN-Mzn#vnP&q6d"
                )
                .globalConfig(builder -> builder
                        // 设置作者
                        .author("zlj")
                        // 指定输出目录
                        .outputDir(url)
                        // 禁止打开输出目录
                        .disableOpenDir())
                .packageConfig(builder -> {
                    builder.parent("com.fjhx"); // 设置父包名
                })
                .strategyConfig(builder -> builder
                        // 设置需要生成的表名
                        .addInclude("email_message_attachment")
                        .entityBuilder()
                        .disableSerialVersionUID()
                        .superClass(BaseEntity.class)
                        .enableLombok()
                        .addIgnoreColumns("create_time", "update_time"))
                .execute();
    }

}
