package com.fjhx.controller;

import com.fjhx.base.R;
import com.fjhx.entity.EmailMailbox;
import com.fjhx.service.IEmailMailboxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zlj
 * @since 2022-12-20
 */
@RestController
@RequestMapping("/emailMailbox")
public class EmailMailboxController {

    @Autowired
    private IEmailMailboxService emailMailboxService;

    /**
     * 获取邮箱文件夹列表
     */
    @GetMapping("/list")
    public R list(EmailMailbox emailMailbox) {
        List<EmailMailbox> emailMailboxList = emailMailboxService.getList(emailMailbox);
        return R.ok(emailMailboxList);
    }

    /**
     * 编辑文件夹
     */
    @PostMapping("/edit")
    public R edit(@RequestBody EmailMailbox emailMailbox) {
        emailMailboxService.updateById(emailMailbox);
        return R.ok();
    }

}
