package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@Getter
@Setter
@TableName("email_message")
public class EmailMessage extends BaseEntity {

    /**
     * 文件id
     */
    private String messageId;

    /**
     * 邮箱文件夹id
     */
    private Long emailMailboxId;

    /**
     * 邮箱文件夹路径
     */
    private String emailMailboxPath;

    /**
     * 是否未读
     */
    private Boolean unseen;

    /**
     * 是否旗标
     */
    private Boolean flagged;

    /**
     * 邮件标题
     */
    private String subject;

    /**
     * 发送时间
     */
    private Date fromDate;

    /**
     * 发送人
     */
    private String fromName;

    /**
     * 发送地址
     */
    private String fromAddress;

    /**
     * 邮件内容
     */
    private String htmlContent;


}
