package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 文件附件
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@Getter
@Setter
@TableName("email_message_attachment")
public class EmailMessageAttachment extends BaseEntity {

    /**
     * 附件id
     */
    private String attachmentId;

    /**
     * 文件id
     */
    private Long emailMessageId;

    /**
     * 文件id
     */
    private String messageId;

    /**
     * 附件名称
     */
    private String name;

    /**
     * 附件地址
     */
    private String path;

    /**
     * 附件大小
     */
    private Integer size;


}
